# DEVICE\_INFORMATION

### ID: 4

### Payload Definition

<table><thead><tr><th width="191">Data Type</th><th width="219">Name</th><th>Description</th></tr></thead><tbody><tr><td>u8</td><td>device_type</td><td></td></tr><tr><td>u8</td><td>device_revision</td><td></td></tr><tr><td>u8</td><td>firmware version major</td><td></td></tr><tr><td>u8</td><td>firmware version minor</td><td></td></tr><tr><td>u8</td><td>firmware version patch</td><td></td></tr><tr><td>u8</td><td>reserved</td><td></td></tr></tbody></table>

Device Types are as follows:

<table><thead><tr><th width="229">device type number</th><th>Device</th></tr></thead><tbody><tr><td>0</td><td>unknown device</td></tr><tr><td>1</td><td>Blue Robotics Ping1, Ping2</td></tr><tr><td>2</td><td>Blue Robotics Ping360</td></tr><tr><td>101</td><td>Omniscan 450</td></tr><tr><td>103</td><td>Cerulean Surveyor 240-16</td></tr><tr><td>110</td><td>Insight 240</td></tr><tr><td>112</td><td>Sounder S500</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ceruleansonar.com/c/cerulean-ping-protocol/general-packet-definitions/device_information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
